﻿local L = LibStub("AceLocale-3.0"):NewLocale("FSwapper3", "enUS", true);

if L then
	-- Slash Command Options
	L["MacroHelp"] = true;
	
	-- GUI
	L["Notify when swapping for combat."] = true;

	-- Greeting Messages
	L["FSwapper3 is |cff00ff00enabled|r! Use \"/fswapperg\" to disable it."] = true;
	L["FSwapper3 is |cffff0000disabled|r! Use \"/fswapperg\" to enable it."] = true;

	-- Tooltip Text
	L["|cff00ff00[Enabled]|r"] = true;
	L["|cffff0000[Disabled]|r"] = true;
	L["|cff00ffffA Fishing Pole is equipt.|r"] = true;
	L["|cffff0000Combat interrupted fishing!|r"] = true;
	L["Click to |cff00ff00enable|r FSwapper3."] = true;
	L["Click to go |cff00fffffishing|r."] = true;
	L["Click to equip your weapons."] = true;
	L["Click to clear |cffff0000combat|r status."] = true;
	L["Right-Click for options."] = true;
	L["Click to change display format."] = true;
	L["|cffff0000[Not Set]|r"] = true;

	-- Autotrack Option
	L["Automatically switch between \"%s\" and your last tracking skill."] = true;
	
	-- Enable option
	L["FSwapper3 has been |cff00ff00enabled|r for this character."] = true;
	L["FSwapper3 has been |cffff0000disabled|r for this character."] = true;

	-- GoFish command
	L["Equip your last used fishing pole. Use \"%s\" for macro help."] = true;

	-- GoFight command
	L["Equip your last used weapons. Use \"%s\" for macro help."] = true;

	-- DoSwap command
	L["Swap between your last used fishing pole, and your last used weapons. Use \"%s\" for macro help."] = true;
	
	-- MacroHelp option
	L["Learn about useful modifiers for the macro commands."] = true;
	L["Macro Usage:"] = true;
	L["Acceptable modifiers are: %s"] = true;
	L["You can put \"%s\" in front of a modifier for its inverse. For example \"%s\" would equip weapons if the left button was not clicked."] = true;
	L["See FSwapper3's Curse page for more advanced macro info."] = true;

	-- Errors and Warnings
	L["|cffff0000Warning:|r Disable WoW's Auto Loot to use FSwapper3's Auto Loot"] = true;
	L["|cffff0000Error:|r Macro modifier \"%s\" was invalid!"] = true;
	L["|cffff0000Could not find|r %s"] = true;
	L["|cffff0000Warning:|r You entered the world without weapons. Equip weapons to set them."] = true;
	L["|cffff0000Error:|r Main Hand is |cffff0000[Not Set]|r! Equip weapons manually to set it."] = true;
	L["|cffff0000Error:|r Fishing Pole is |cffff0000[Not Set]|r! Equip one manually to set it."] = true;
	
	-- Notifications
	L["|cff0000ffLeaving combat!|r Swapping to fishing pole."] = true;
	L["|cffff0000Combat detected!|r Swapping to weapons."] = true;
end